<?php
/* 
----------------------------------------------------------
  MODULE : APP SESSION CHEKER  
  V1.0 / 2018
  AUTHOR : SGHAIER MAHMOUD  
----------------------------------------------------------
*/

 

$time = $_SERVER['REQUEST_TIME'];
$sessionData = null;
$sessionId = null;
/*
if (isset($_COOKIE['custom_session_id'])) {
    $sessionId = $_COOKIE['custom_session_id'];
    echo json_encode(['cookie' => $sessionId]);
} else {
    echo json_encode(['cookie' => null]);
}
exit; */
// Vérifier si un cookie de session existe
if (isset($_COOKIE['custom_session_id'])) {
    $sessionId = $_COOKIE['custom_session_id'];
    $sessionData = getSessionData($sessionId);
    //var_dump( $sessionData) ;
    // Si la session est invalide (fichier supprimé ou expiré)
    if (!$sessionData || ($time - $sessionData['last_activity']) > session_lifetime) {
        destroySession($sessionId);
        setcookie('custom_session_id', '', time() - 3600, '/'); // supprimer le cookie
        header("Location: " . page_login_authoriser . "?logout=true");
        exit;
    }
    // Mettre à jour le timestamp de dernière activité
    $sessionData['last_activity'] = $time;
    storeSession($sessionId, $sessionData);
} else {
    // Pas de session -> redirection login
    header("Location: " . page_login_authoriser . "?logout=true");
    exit;
}
// ✅ Tu peux maintenant accéder à tes données de session partout via $sessionData['KEY']

// power test security for remove permisisojn 
$power_for_remove = getSessionData($sessionId, 'USER_POWER');
$allow_remove = ($power_for_remove === "AD" && $allow_remove);

?>